export class Article {
    // 3 objects in this class
    title: string;
    link: string;
    votes: number;  // optional 

    // raw data is coming from args somewhere else being called
    // ['Philips Article', 'www.google.com', 3]

    constructor(title: string, link: string, votes?: number) {

        this.title = title;
        this.link = link;
        this.votes = votes || 0;

    } // constructor

    // 2 structural methods for our vote function
    // increment by 1 when called from ui
    voteUp(): void {
        this.votes +=1;
    } // voteUp

    voteDown(): void {
        this.votes -=1;
    } // voteDown

} // Article